Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader
Class XMLNamespaceEnabledImageFlavor

    java.lang.Object
      org.apache.xmlgraphics.image.loader.ImageFlavor
          org.apache.xmlgraphics.image.loader.RefinedImageFlavor
              org.apache.xmlgraphics.image.loader.XMLNamespaceEnabledImageFlavor

    public class XMLNamespaceEnabledImageFlavor

extends RefinedImageFlavor

Special image flavor subclass which enables the restriction to a particular XML namespace.

Field Summary
`static ImageFlavor` | `SVG_DOM` An XML-based SVG image in form of a W3C DOM instance

Fields inherited from class org.apache.xmlgraphics.image.loader.ImageFlavor
`BUFFERED_IMAGE, GRAPHICS2D, RAW, RAW_CCITTFAX, RAW_EMF, RAW_EPS, RAW_JPEG, RAW_LZW, RAW_PNG, RAW_TIFF, RENDERED_IMAGE, XML_DOM`

Constructor Summary
`XMLNamespaceEnabledImageFlavor(ImageFlavor parentFlavor, String namespace)` Constructs a new image flavor.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getNamespace()` Returns the XML namespace URI that the image flavor represents if such a namespace URI is available.
`int` | `hashCode()`

Methods inherited from class org.apache.xmlgraphics.image.loader.RefinedImageFlavor
`getMimeType, getParentFlavor, isCompatible`

Methods inherited from class org.apache.xmlgraphics.image.loader.ImageFlavor
`getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SVG_DOM

    public static final ImageFlavor SVG_DOM

  An XML-based SVG image in form of a W3C DOM instance

Constructor Detail

### XMLNamespaceEnabledImageFlavor

    public XMLNamespaceEnabledImageFlavor(ImageFlavor parentFlavor,
                                          String namespace)

  Constructs a new image flavor.

  Parameters:
    `parentFlavor` - the parent image flavor
    `namespace` - an XML namespace URI refining the parent image flavor

Method Detail

### getNamespace

    public String getNamespace()

  Returns the XML namespace URI that the image flavor represents if such a namespace URI is available. This is only applicable to images in XML form. Other image types will return null.

  Overrides:
    `getNamespace` in class `RefinedImageFlavor`
  Returns:
    the XML or null if no MIME type can be provided (like for in-memory images)

### equals

    public boolean equals(Object o)

  Description copied from class: `ImageFlavor`

  Overrides:
    `equals` in class `ImageFlavor`

### hashCode

    public int hashCode()

  Description copied from class: `ImageFlavor`

  Overrides:
    `hashCode` in class `ImageFlavor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.